<div class="ui top attached stackable menu">
    <a class="ui item header" href="/">Omnibus</a>


    <div class="ui dropdown item">
        Classes
        <div class="menu">
            <a class="item" href="/class">
                Current
            </a>
            <div class="divider"></div>
            {% for class in classes %}
                <a class='item' href='/class/{{ class.id }}'>{{ class.date|date("F Y") }}</a>
            {% endfor %}
        </div>
    </div>

    <div class="ui dropdown item">
        Categories
        <div class="menu">
            <a class="item" href="/categories">
                Full view
            </a>
            <div class="divider"></div>
            {% for cat in categories %}
                <a class='item' href='/category/{{ cat.id }}/{{ cat.furl }}'>{{ cat.name }}</a>
            {% endfor %}
        </div>
    </div>

    <div class="ui dropdown item">
        Tags
        <div class="menu">
            <a class="item" href="/tags">
                Full view
            </a>
            <div class="divider"></div>
            {% for tag in tags %}
                <a class='item' href='/tag/{{ tag.id }}/{{ tag.furl }}'>{{ tag.name }}</a>
            {% endfor %}
        </div>
    </div>

    <div class="ui dropdown item">
        Authors
        <div class="menu">
            <a class="item" href="/authors">
                Full view
            </a>
            <div class="divider"></div>
            {% for author in authors %}
                <a class='item' href='/author/{{ author.id }}/{{ author.furl }}'>{{ author.name }}</a>
            {% endfor %}
        </div>
    </div>

    <div class="right menu">

        <div class="ui fluid search item">
            <div class="ui left icon input">
                <label for="search" style="display: none">Search</label>
                <input name="search" id="search" class="prompt" type="text" placeholder="Search">
                <i class="search icon"></i>
            </div>
        </div>

        <div class="ui right dropdown item">
            <i class="paint brush icon"></i>
            <div class="menu">
                <div class="header">Themes</div>
                <div class="item" onclick="changeTheme('light', this)" onkeypress="changeTheme('light', this)" tabindex="0">
                    <i class="{{ theme == 'light' ? 'check' : '' }} circle outline icon"></i> Light
                </div>
                <div class="item" onclick="changeTheme('dark', this)" onkeypress="changeTheme('light', this)" tabindex="0">
                    <i class="{{ theme == 'dark' ? 'check' : '' }} circle outline icon"></i> Dark
                </div>
                <div class="item" onclick="changeTheme('black', this)" onkeypress="changeTheme('light', this)" tabindex="0">
                    <i class="{{ theme == 'black' ? 'check' : '' }} circle outline icon"></i> Black
                </div>
            </div>
        </div>

        <a class="desktop only paddingless item social-widget">
            <div class="patreon container">
                <div class="patreon logo"></div>
            </div>
        </a>

        <a href="https://discord.gg/MhuYbYU" class="desktop only paddingless item social-widget" target="_blank" rel="noopener">
            <div class="discord container">
                <div class="discord logo"></div>
                <div class="discord counter">
                    <span class="discord small text">Online</span>
                    <span class="discord text">{{ discord_users }}</span>
                </div>
            </div>
        </a>

        <div class="ui icon dropdown item">
            <i class="sidebar icon"></i>

            <div class="menu">
                {% if user is empty %}
                    <a class="item" href="/register"><i class="add user icon"></i> Register</a>
                    <a class="item" href="/login"><i class="sign in icon"></i> Login</a>
                {% endif %}
                {% if user.role.is_admin %}
                    <a class="item" href="/admin"><i class="cogs icon"></i> Admin</a>
                {% endif %}
                {% if user.role.is_author %}
                    <a class="item" href="/write"><i class="edit icon"></i> Write</a>
                {% endif %}
                {% if user is not empty %}
                    <a class="item" href="/profile"><i class="user icon"></i> Profile</a>
                {% endif %}
                <div class="divider"></div>
                <a class="item"><i class="info circle icon"></i> About</a>
                {% if user is not empty %}
                    <div class="divider"></div>
                    <a class="item" href="/logout"><i class="sign out icon"></i> Log out</a>
                {% endif %}
            </div>
        </div>
    </div>
</div>


<script defer src="{{ asset('assets/js/themeswap.min.js') }}"></script>
